Bug 208549 - rpm install changes /etc/pam.d/remote without any message
rpm install changes /etc/pam.d/remote without any message
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 07:43 EDT by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 06:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2006-09-29 07:43:38 EDT
Description of problem:
Normally when rpm saves an existing file during upgrade it will issue a useful
message advising what it has done (eg "saving /etc/pam.d/login
/etc/pam.d/login.rpmsave").  But in the case of /etc/pam.d/remote it replaces it
silently.  So when every suddenly becomes broken one has to spend an hour or so
chasing a problem that simply should never have arisen.

Version-Release number of selected component (if applicable):
util-linux-2.13-0.20

How reproducible:
always

Steps to Reproduce:
1. rpm -Fvh util-linux-xxxxx
2.
3.
  
Actual results:
/etc/pam.d/login replace with warning message
/etc/pam.d/remote replace with NO WARNING MESSAGE

Expected results:
Whenever a file is replaced/saved during an rpm install there should be a
warning.  It shouldn't be a feature of script, it should be in rpm itself, and
no script should be able to silently replace config files without a warning
being emitted.

Additional info:
rpm should be rewritten, and simplified.
Comment 1 Karel Zak 2006-11-21 06:48:15 EST
Well, now (2.13-0.45) there is:

%config %{_sysconfdir}/pam.d/chfn
%config %{_sysconfdir}/pam.d/chsh
%config %{_sysconfdir}/pam.d/login
%config %{_sysconfdir}/pam.d/remote

I don't know how improve this setting in util-linux package. I think it's
enough. Closing. 

(Please, reopen and reassign to the rpm if you think that the problem should be
fixed by the rpm tool.)

Note You need to log in before you can comment on or make changes to this bug.